> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cards

> This section describes endpoints that enable a third party to fetch and register a user's cards. This endpoint describes all registered cards for the given user.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Response

<Snippet file="entities/card.mdx" />

<RequestExample>
  ```bash Get Cards theme={null}
  curl https://api.thanxsandbox.com/cards \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "cards": [
      {
        "id": "92b7b0dac4",
        "user_id": "weorusfs",
        "last4": "1234",
        "type": "visa",
        "zip_code": "12345"
      },
      {
        "id": "wer340fweiu",
        "user_id": "weorufjsdf",
        "last4": "4567",
        "type": "amex",
        "zip_code": "54321"
      }
    ]
  }
  ```
</ResponseExample>
